Core - Bug # 40154

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Tymoteusz Motylewski Category:

Created: 2012-08-25 Assigned To:

Updated: 2013-02-27 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subiject: Error when klicking "open in new window" icon in task module

Description

Steps to reproduce:

Go to tasks center module

click on the gray icon "open in new window" (right top corner)

The popup will contain error:

#1294585070: No module " could be found. (More information)

UnexpectedValueException thrown in file

\typo3\mod.php in line 55.

Related issues:

duplicated by Core - Bug # 40163: taskcenter: Move classes -> Classes Closed 2012-08-25

Associated revisions

Revision ce509a52 - 2012-08-25 11:01 - Stefan Froemken

[BUGFIX] Error in "open in new window" in task module

Reproduce:
Call tasks center module, click on the gray icon

"open in new window" (right top corner)

Error:
UnexpectedValueException thrown in file
\typo3\mod.php in line 55.

Change-Id: 1c94913f2bee2019c9be 1954fc9ff78f90b8c5f84
Fixes: #40154

Related: #40095

Releases: 6.0

Reviewed-on: http://review.typo3.org/14063

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
http://review.typo3.org/14063

#1 - 2012-08-25 02:07 - Stefan Froemken

This is not a problem regarding namespaces!
I just tested it in TYPOS 6.0.0alpha3. There is the same problem. Also in TYPO3 4.5.19.

On Linux systems you got a white page because of a lower case "c" in Classes-Folder.

#2 - 2012-08-25 02:40 - Stefan Froemken

Hello Gerrit...where are you?

OK...here is the link: https://review.typo3.org/#/c/14063/

#3 - 2012-08-25 09:04 - Christian Kuhn
- Parent task set to #40095

#4 - 2012-08-25 09:26 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14063

#5 - 2012-08-25 11:30 - Stefan Froemken
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ce509a5232ac3c049bbb1a8b2453c514bac9c23d.
